[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegionRect.IsPointInPart

Indicates if a point with the specified coordinates is within the rectangle used as the bounds for the region.

## Declaration

Source position: lazregions.pas line 34

`public function TLazRegionRect.IsPointInPart(`
`AX: Integer;`
`AY: Integer`
`):Boolean; override;`

## Arguments

`AX` |  | Horizontal coordinate for the point.
`AY` |  | Vertical coordinate for the point.

## Function result

True when the coordinates are located in the bounds rectangle for the region.

## Description

Overrides the method in the ancestor class to use the Rect member as the bounds for the region.